/* Table of constant values */

static int c__2 = 2;
static int c__1 = 1;

int main(void)
{
    /* Builtin functions */
    double sqrt(double);

    /* Local variables */
    static int ierr;
    extern double zp54d_c(int *, int *, double *, int *);
    static double x, r1, r2;

    x = .5;
    r1 = zp54d_c(&c__2, &c__1, &x, &ierr);

    r2 = sqrt(1 - x * x) * -3 * x;
    printf("\n %15.6e \n", r1);
    printf("\n %15.6e \n", r2);
    return 0;
} /* main */
